Template issue

7 years 11 months ago - 7 years 11 months ago #183369 by real1
Hi, when i activate facebook plugin, it alters my template display and breaks my module that scrolls to another image, and put them in a row instead of scrolling, like in the screenshots below, can you help please?

Before the plugin:



After the plugin:



Thanks
7 years 11 months ago - 7 years 11 months ago #183400 by krileon
Looks like a jQuery conflict. Please review your browser error log for any fatal JS errors. Please also provide your FBC version and CB version.


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Templates - CBSubs - Hosting - Forge - Incubator - GroupJive
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM EST to 4:00 PM EST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.
7 years 11 months ago - 7 years 11 months ago #183426 by real1
i have all the latest cb and facebook login, since i bought it yesterday/today. How can i see my browser error, it doesn't give me any.

EDIT: I did find this codes:
SCRIPT5009: 'tinyMCE' is undefined 
en.js, line 1 character 1
SCRIPT438: Object doesn't support property or method 'slideshow' 
amigaportugal.com, line 229 character 3
HTML1115: X-UA-Compatible META tag ('IE=9, IE=8, chrome=1') ignored because document mode is already finalized. 
fastbutton?url=http%3A%2F%2Famigaportugal.com%2F&size=medium&count=true&annotation=&hl=pt-PT&jsh=m%3B%2F_%2Fapps-static%2F_%2Fjs%2Fwidget%2F__features__%2Frt%3Dj%2Fver%3DuQxq_bhpoHY.pt_PT.%2Fsv%3D1%2Fam%3D!C0fEz9_x4jKIpDHgug%2Fd%3D1%2F
SCRIPT5022: FB.Auth.setAuthResponse only compatible with OAuth2. 
all.js, line 23 character 3419

The code on line 229 is this one
jQuery(function($) {

		$("#slideshow-2-4ecf0937499c7").slideshow(
			{"style":"downtown","autoplay":1,"interval":5000,"width":"auto","height":240,"duration":500,"index":0,"navigation":1,"buttons":1,"slices":20,"animated":"scroll","caption_animation_duration":500,"tpl":"<div class=\"wk-slideshow wk-slideshow-downtown\"><div><div class=\"element\" \/><div class=\"next\" \/><div class=\"prev\" \/><div class=\"caption\"><\/div><ul class=\"captions\"><li><\/li><li><\/li><li><\/li><\/ul><\/div><ul class=\"nav\"><li><span><\/span><\/li><li><span><\/span><\/li><li><span><\/span><\/li><\/ul><\/div>"}		);
7 years 11 months ago #183518 by krileon
It's a jQuery conflict. Your module isn't using a noConflict mode so it's jQuery is conflicting with CBs. CB uses noConflict, which is why CB continues to function. You'll need to contact the developer of your extensions so they can implement noConflict usage or disable 1 of the 2. I will be reviewing for next release the possibility of removing jQuery dependency in CB Connect (changes would also migrate to FBC).


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Templates - CBSubs - Hosting - Forge - Incubator - GroupJive
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM EST to 4:00 PM EST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.
7 years 11 months ago - 7 years 11 months ago #183583 by real1
Edit again: I just disabled the slideshow,

i tried on different pc and it worked, as for the template I'll just go for the plugin, it's working.

Its worth the cash
Thank you very much for your help
7 years 11 months ago #185548 by andy_blanc
Hi, I'm having an identical issue with a Yootheme template and their widgetkit slideshow. Unfortunately I need to resolve this as both plugins are essential. The FB Connect plugin was the main reason I became a paid up member.

Basiclly their response is that their widgetkit registers with Japplication to avoid multiple libraries being loaded. Not being a programmer I assume this is just a different method to the no-conflict mode used by CB.

I have posted on their forum as the debug console points to the widgetkit as causing the error but any suggestions or work arounds from the CB end would be greatly appreciated.

Thanks in advance

Andy
Moderators: beatnantkrileon
Time to create page: 0.452 seconds
Facebook Twitter Google LinkedIn